org.apache.jmeter.threads

## Class RemoteThreadsListenerTestElement

- java.lang.Object
- - org.apache.jmeter.threads.RemoteThreadsListenerTestElement

All Implemented Interfaces:
  Remoteable, ThreadListener

    public class RemoteThreadsListenerTestElement
    extends Object
    implements Remoteable, ThreadListener

Empty implementation only used to be able to do replacement by `ConvertListeners`

Since:
  2.10

### Constructor Summary

Constructors
Constructor and Description
`RemoteThreadsListenerTestElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `threadFinished()` Called for each thread after all samples have been processed.
`void` `threadStarted()` Called for each thread before starting sampling.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteThreadsListenerTestElement

    public RemoteThreadsListenerTestElement()

### Method Detail

#### threadStarted

    public void threadStarted()

Description copied from interface: `ThreadListener`
Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet. See org.apache.jmeter.threads.JMeterThread#threadStarted()

Specified by:
  `threadStarted` in interface `ThreadListener`

#### threadFinished

    public void threadFinished()

Description copied from interface: `ThreadListener`
Called for each thread after all samples have been processed. See org.apache.jmeter.threads.JMeterThread#threadFinished(org.apache.jmeter.engine.event.LoopIterationListener)

Specified by:
  `threadFinished` in interface `ThreadListener`